<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* module-form-settings.twig */
class __TwigTemplate_ca0abae0fbde7b4fa8a035ef94b9ecb9bfa03a7bd3bf446d29acac1b274926fe extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formHtml' => [$this, 'block_formHtml'],
            'moduleFormFields' => [$this, 'block_moduleFormFields'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 9
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 10
        $context["forms"] = $this->loadTemplate("forms.twig", "module-form-settings.twig", 10)->unwrap();
        // line 9
        $this->parent = $this->loadTemplate("form-base.twig", "module-form-settings.twig", 9);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 12
    public function block_formTitle($context, array $blocks = [])
    {
        // line 13
        echo "    ";
        echo __("Edit Module");
    }

    // line 16
    public function block_formButtons($context, array $blocks = [])
    {
        // line 17
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")
    ";
        // line 18
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 19
        echo __("Save");
        echo ", \$(\"#moduleEditForm\").submit()
";
    }

    // line 22
    public function block_formHtml($context, array $blocks = [])
    {
        // line 23
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"moduleEditForm\" class=\"XiboForm form-horizontal\" method=\"put\" action=\"";
        // line 25
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("module.settings", ["id" => $this->getAttribute($this->getAttribute(($context["module"] ?? null), "module", []), "moduleId", [])]), "html", null, true);
        echo "\">

                ";
        // line 27
        ob_start(function () { return ''; });
        echo __("Default Duration");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 28
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The default duration for Widgets of this Module when the user has elected to not set a specific duration.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 29
        echo "                ";
        echo $context["forms"]->getinput("defaultDuration", ($context["title"] ?? null), $this->getAttribute($this->getAttribute(($context["module"] ?? null), "module", []), "defaultDuration", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 31
        ob_start(function () { return ''; });
        echo __("Valid Extensions");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 32
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Extensions allowed on files uploaded using this module. Comma Separated.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 33
        echo "                ";
        echo $context["forms"]->getinput("validExtensions", ($context["title"] ?? null), $this->getAttribute($this->getAttribute(($context["module"] ?? null), "module", []), "validExtensions", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 35
        ob_start(function () { return ''; });
        echo __("Preview Enabled?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 36
        echo "                ";
        ob_start(function () { return ''; });
        echo __("When Preview is Enabled users will be able to see a preview in the layout designer.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 37
        echo "                ";
        echo $context["forms"]->getcheckbox("previewEnabled", ($context["title"] ?? null), $this->getAttribute($this->getAttribute(($context["module"] ?? null), "module", []), "previewEnabled", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 39
        ob_start(function () { return ''; });
        echo __("Enabled?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 40
        echo "                ";
        ob_start(function () { return ''; });
        echo __("When Enabled users will be able to add media using this module.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 41
        echo "                ";
        echo $context["forms"]->getcheckbox("enabled", ($context["title"] ?? null), $this->getAttribute($this->getAttribute(($context["module"] ?? null), "module", []), "enabled", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 43
        $this->displayBlock('moduleFormFields', $context, $blocks);
        // line 46
        echo "            </form>
        </div>
    </div>
";
    }

    // line 43
    public function block_moduleFormFields($context, array $blocks = [])
    {
        // line 44
        echo "
                ";
    }

    public function getTemplateName()
    {
        return "module-form-settings.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  157 => 44,  154 => 43,  147 => 46,  145 => 43,  139 => 41,  134 => 40,  130 => 39,  124 => 37,  119 => 36,  115 => 35,  109 => 33,  104 => 32,  100 => 31,  94 => 29,  89 => 28,  85 => 27,  80 => 25,  76 => 23,  73 => 22,  67 => 19,  63 => 18,  56 => 17,  53 => 16,  48 => 13,  45 => 12,  40 => 9,  38 => 10,  32 => 9,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "module-form-settings.twig", "/home/mgatv524/public_html/edurocha/views/module-form-settings.twig");
    }
}
